package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TcustpeopletradereferencesDTO implements Serializable {

    private static final long serialVersionUID = 83318369635221L;

    private Integer tcustpeopletradereferencesPK;

    private java.util.Date datefrom;

    private Integer recordversion;

    private String item;

    private String purchaseyear;

    private Integer amount;

    private Integer inputamount;

    private Short quotasnumber;

    private Integer quotavalue;

    private String tradename;

    private String tradephone;

    private String ingressusercode;

    private String modifyusercode;

    private Integer tcustperson;

    private Integer tradepersoncode;

    private Integer tgenecatalogdetail;

    private Integer currencycode;

        public Integer getTcustpeopletradereferencesPK() {
    return tcustpeopletradereferencesPK;
    }

        public void setTcustpeopletradereferencesPK(Integer tcustpeopletradereferencesPK) {
    this.tcustpeopletradereferencesPK = tcustpeopletradereferencesPK;
    }

        public java.util.Date getDatefrom() {
    return datefrom;
    }

        public void setDatefrom(java.util.Date datefrom) {
    this.datefrom = datefrom;
    }

        public Integer getRecordversion() {
    return recordversion;
    }

        public void setRecordversion(Integer recordversion) {
    this.recordversion = recordversion;
    }

        public String getItem() {
    return item;
    }

        public void setItem(String item) {
    this.item = item;
    }

        public String getPurchaseyear() {
    return purchaseyear;
    }

        public void setPurchaseyear(String purchaseyear) {
    this.purchaseyear = purchaseyear;
    }

        public Integer getAmount() {
    return amount;
    }

        public void setAmount(Integer amount) {
    this.amount = amount;
    }

        public Integer getInputamount() {
    return inputamount;
    }

        public void setInputamount(Integer inputamount) {
    this.inputamount = inputamount;
    }

        public Short getQuotasnumber() {
    return quotasnumber;
    }

        public void setQuotasnumber(Short quotasnumber) {
    this.quotasnumber = quotasnumber;
    }

        public Integer getQuotavalue() {
    return quotavalue;
    }

        public void setQuotavalue(Integer quotavalue) {
    this.quotavalue = quotavalue;
    }

        public String getTradename() {
    return tradename;
    }

        public void setTradename(String tradename) {
    this.tradename = tradename;
    }

        public String getTradephone() {
    return tradephone;
    }

        public void setTradephone(String tradephone) {
    this.tradephone = tradephone;
    }

        public String getIngressusercode() {
    return ingressusercode;
    }

        public void setIngressusercode(String ingressusercode) {
    this.ingressusercode = ingressusercode;
    }

        public String getModifyusercode() {
    return modifyusercode;
    }

        public void setModifyusercode(String modifyusercode) {
    this.modifyusercode = modifyusercode;
    }

        public Integer getTcustperson() {
    return tcustperson;
    }

        public void setTcustperson(Integer tcustperson) {
    this.tcustperson = tcustperson;
    }

        public Integer getTradepersoncode() {
    return tradepersoncode;
    }

        public void setTradepersoncode(Integer tradepersoncode) {
    this.tradepersoncode = tradepersoncode;
    }

        public Integer getTgenecatalogdetail() {
    return tgenecatalogdetail;
    }

        public void setTgenecatalogdetail(Integer tgenecatalogdetail) {
    this.tgenecatalogdetail = tgenecatalogdetail;
    }

        public Integer getCurrencycode() {
    return currencycode;
    }

        public void setCurrencycode(Integer currencycode) {
    this.currencycode = currencycode;
    }

}